<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Document extends Model 
{

    protected $table = 'documents';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('name', 'created_by', 'type', 'value', 'expiration_date', 'location_id', 'child', 'parent', 'group', 'role');

    public function creator()
    {
        return $this->belongsTo('App\User', 'creator_id', 'id');
    }

    public function document_type()
    {
        return $this->hasOne('App\Models\DocumentType', 'id', 'type');
    }

    public function document_location()
    {
        return $this->hasOne('App\Models\DocumentLocation', 'document_id');
    }

}