<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Maintenance extends Model 
{

    protected $table = 'maintenance';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('type_id', 'vehicle_id', 'maintenance_date', 'maintenance_company', 'maintenance_cost', 'current_mileage', 'expected_date', 'notes', 'group_id', 'expected_mileage');

    public function type()
    {
        return $this->hasOne('App\Models\MaintenanceType', 'id', 'type_id');
    }

    public function vehicle()
    {
        return $this->hasOne('App\Models\Vehicle', 'id', 'vehicle_id');
    }

}