<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Vehicle extends Model 
{

    protected $table = 'vehicles';
    public $timestamps = false;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('type_id', 'license_plate', 'maker', 'year', 'model', 'capacity', 'current_mileage', 'profile_image', 'profile_image_thumb', 'tow_registration', 'euro_ispuh', 'creator_id', 'broj_komora', 'obujam_spremnika', 'gornje_punjenje', 'donje_punjenje', 'pump', 'tanko_crijevo', 'pistol', 'preci_turbo', 'mjerni_sustav', 'created_date');

    public function type()
    {
        return $this->hasOne('App\Models\VehicleType', 'id', 'type_id');
    }

    public function work_order()
    {
        return $this->belongsToMany('App\Models\WorkOrder', 'id');
    }

    public function form()
    {
        return $this->hasMany('App\Models\FormLocation', 'id', 'form_id');
    }

    public function creator()
    {
        return $this->belongsTo('App\User', 'creator_id', 'id');
    }

}