<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WorkOrder extends Model 
{

    protected $table = 'work_orders';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('user_id', 'work_order_id', 'start_date', 'end_date', 'start_location', 'end_location', 'vehicle_id', 'fuel_id', 'mileage', 'quantity', 'unit_price', 'multi_route', 'pump_use', 'pump_price', 'island_id', 'toll_cost', 'location_tracker_id', 'escort', 'uploaded_location_id', 'supplier_id');

    public function fuel()
    {
        return $this->hasOne('App\Models\Fuel', 'id', 'fuel_id');
    }

    public function user()
    {
        return $this->hasOne('App\User', 'id', 'user_id');
    }

    public function vehicle()
    {
        return $this->hasOne('App\Models\Vehicle', 'id', 'vehicle_id');
    }

    public function location_tracker()
    {
        return $this->hasOne('App\Models\LocationTracker');
    }

    public function supplier()
    {
        return $this->hasOne('App\Models\Supplier', 'id', 'supplier_id');
    }

    public function work_order_ann()
    {
        return $this->hasOne('App\Models\WorkOrderAnn', 'id', 'work_order_id');
    }

    public function island()
    {
        return $this->hasOne('App\Models\Island', 'id', 'island_id');
    }

    public function uploaded_location()
    {
        return $this->hasOne('App\Models\UploadedLocation', 'id', 'uploaded_location_id');
    }

}