<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateVehiclesTable extends Migration {

	public function up()
	{
		Schema::create('vehicles', function(Blueprint $table) {
			$table->increments('id');
			$table->smallInteger('type_id');
			$table->string('license_plate', 190)->unique();
			$table->string('maker', 255)->nullable();
			$table->smallInteger('year');
			$table->string('model', 255)->nullable();
			$table->string('capacity', 255)->nullable();
			$table->integer('current_mileage')->default('0');
			$table->string('profile_image', 255)->nullable();
			$table->string('profile_image_thumb', 255)->nullable();
			$table->string('tow_registration', 255)->nullable();
			$table->string('euro_ispuh', 255)->nullable();
			$table->smallInteger('creator_id')->nullable();
			$table->mediumInteger('broj_komora')->nullable();
			$table->mediumInteger('obujam_spremnika')->nullable();
			$table->string('gornje_punjenje', 255)->nullable();
			$table->string('donje_punjenje', 255)->nullable();
			$table->tinyInteger('pump')->nullable();
			$table->smallInteger('tanko_crijevo')->nullable();
			$table->tinyInteger('pistol')->nullable();
			$table->tinyInteger('preci_turbo')->nullable();
			$table->string('mjerni_sustav', 255)->nullable();
			$table->softDeletes();
			$table->date('created_date')->nullable();
		});
	}

	public function down()
	{
		Schema::drop('vehicles');
	}
}