<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateWorkOrdersAnnTable extends Migration {

	public function up()
	{
		Schema::create('work_orders_ann', function(Blueprint $table) {
			$table->increments('id');
			$table->datetime('start_date')->nullable();
			$table->smallInteger('creator_id');
			$table->integer('work_order_id')->nullable();
			$table->smallInteger('vehicle_id')->nullable();
			$table->smallInteger('fuel_id')->nullable();
			$table->smallInteger('quantity')->nullable();
			$table->smallInteger('user_id')->nullable();
			$table->string('customer', 255)->nullable();
			$table->string('annotation', 255)->nullable();
			$table->string('annotation_internal', 255)->nullable();
			$table->string('location_city', 255)->nullable();
			$table->string('location_street', 255)->nullable();
			$table->string('annotation_traffic', 255)->nullable();
			$table->timestamps();
			$table->softDeletes();
			$table->smallInteger('supplier_id')->nullable();
			$table->mediumInteger('uploaded_location_id')->nullable();
		});
	}

	public function down()
	{
		Schema::drop('work_orders_ann');
	}
}